CREATE DATABASE IF NOT EXISTS Interpol_DB;
USE Interpol_DB;
CREATE TABLE IF NOT EXISTS Crimer(
ID INT PRIMARY KEY NOT NULL AUTO_INCREMENT,
FirstName VARCHAR(45),
SecondName VARCHAR(45),
NickName VARCHAR(255), 
Height INT NOT NULL,
HairColor VARCHAR(255),
EyesColor VARCHAR(255),
SpecialSigns VARCHAR(400),
Citizenship VARCHAR(255),
BirthDate DATE NOT NULL,
BirthPlace VARCHAR(400) NOT NULL,
LastLivingPlace VARCHAR(400)
);
CREATE TABLE IF NOT EXISTS Languages(
ID INT PRIMARY KEY NOT NULL AUTO_INCREMENT,
Lang VARCHAR(3) NOT NULL
);
CREATE TABLE CrimeCase(
ID INT PRIMARY KEY NOT NULL AUTO_INCREMENT,
Name VARCHAR(255) NOT NULL,
OpenDate DATETIME NOT NULL,
CloseDate DATETIME,
Description VARCHAR(400)
);
CREATE TABLE Crimer_CrimeCase(
ID INT PRIMARY KEY NOT NULL AUTO_INCREMENT,
CrimerID INT,
CrimeCaseID INT,
FOREIGN KEY (CrimerID) REFERENCES Crimer (ID),
FOREIGN KEY (CrimeCaseID) REFERENCES CrimeCase(ID),
CrimerStatus VARCHAR(255)
);
CREATE TABLE Crimer_Languages(
ID INT PRIMARY KEY NOT NULL AUTO_INCREMENT,
CrimerID INT,
LanguageID INT,
FOREIGN KEY (CrimerID) REFERENCES Crimer (ID),
FOREIGN KEY (LanguageID) REFERENCES Languages (ID)
);
CREATE TABLE CriminalProfession(
ID INT PRIMARY KEY NOT NULL AUTO_INCREMENT,
ProfessionName VARCHAR(255) NOT NULL 
);
CREATE TABLE Crimer_CriminalProfession(
ID INT PRIMARY KEY NOT NULL AUTO_INCREMENT,
CrimerID INT,
CriminalProfessionID INT,
FOREIGN KEY (CrimerID) REFERENCES Crimer (ID),
FOREIGN KEY (CriminalProfessionID) REFERENCES CriminalProfession (ID)
);
